Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
- Accumulator
- Completion
- CompletionResult
- History
- ILoop
- InteractiveReader
- Javap
- Javap8
- Javap9
- JavapClass
- JavapProvider
- JavapTask
- JavapTool
- Logger
- LoopCommands
- MultiCompletion
- NoCompletion
- NoCompletions
- NoHistory
- Parsed
- Pasted
- ProcessResult
- ReplCompletion
- ReplReporterImpl
- Scripted
- ShellConfig
- SimpleHistory
- SimpleReader
- Tabulator
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter.shell

# Parsed

###
Companion object Parsed

#### class Parsed extends AnyRef

One instance of a command buffer.

Source
  Parsed.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Parsed
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Parsed toany2stringadd[Parsed] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Parsed, B)
   Implicit
     This member is added by an implicit conversion from Parsed toArrowAssoc[Parsed] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def args: collection.immutable.List[String]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val buffer: String
9.  def bufferHead: String
10.  def bufferTail: Parsed
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def currentArg: String
13.  def currentChar: Char
14.  val cursor: Int
15.  val delimited: (Char) => Boolean
16.  def ensuring(cond: (Parsed) => Boolean, msg: => Any): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed toEnsuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (Parsed) => Boolean): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed toEnsuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: => Any): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed toEnsuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): Parsed
    Implicit
      This member is added by an implicit conversion from Parsed toEnsuring[Parsed] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
22.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
23.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Parsed toStringFormat[Parsed] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def headLength: Int
27.  def isAtStart: Boolean
28.  def isDelimiter: Boolean
29.  def isDelimiterChar(ch: Char): Boolean
30.  def isEmpty: Boolean
31.  def isEscapeChar(ch: Char): Boolean
32.  def isEscaped: Boolean
33.  def isFirstDelimiter: Boolean
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  def isLastDelimiter: Boolean
36.  def isQuoted: Boolean
37.  def isUnqualified: Boolean
38.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
39.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  def position: Int
42.  def prev: Parsed
43.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
44.  def toArgs(s: String): List[String]

    Break String into args based on delimiting function.

    Break String into args based on delimiting function.

    Attributes
      protected
45.  def toString(): String
    Definition Classes
      Parsed → AnyRef → Any
46.  def verbosity: Int
47.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
50.  def withVerbosity(v: Int): Parsed.this.type

### Deprecated Value Members

1.  def →[B](y: B): (Parsed, B)
   Implicit
     This member is added by an implicit conversion from Parsed toArrowAssoc[Parsed] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromParsed to any2stringadd[Parsed]

### Inherited by implicit conversion StringFormat fromParsed to StringFormat[Parsed]

### Inherited by implicit conversion Ensuring fromParsed to Ensuring[Parsed]

### Inherited by implicit conversion ArrowAssoc fromParsed to ArrowAssoc[Parsed]

### Ungrouped